1.17.1 shading effectlib for 1.17

Discussion in 'Spigot Plugin Development' started by Jafales, Jan 14, 2022 at 10:55 PM.

  1. so im trying to shade effectlib into my plugin but the shade on the plugins github repo only works for java 17 and the discord people arnt helping me. https://github.com/elBukkit/EffectLib/ | everything ive found online has also been for java 17 so i dont really know what to do
     
  2. Is there any specific reason you're staying on 1.17 and not updating?
     
  3. the server im making it for is 1.17 java 16
     
  4. Then use Java 17.
     
  5. ... i cant just switch to java 17 when im working on a java 16 plugin and thats not my problem, my problem is with java 16 1.17 shading not java 17
     
  6. Then there is one way, and there is a way to copy only that source code. But it's cumbersome.
     
  7. its a big library so that wouldnt really be efficent
     
  8. then no way